ElisionFilter (Lucene 3.6.2 API)
Keywords: org.apache.lucene.analysis.fr.ElisionFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.fr
Class ElisionFilter

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.TokenFilter
                  org.apache.lucene.analysis.fr.ElisionFilter

All Implemented Interfaces:
  Closeable

    public final class ElisionFilter

extends org.apache.lucene.analysis.TokenFilter

Removes elisions from a `TokenStream`. For example, "l'avion" (the plane) will be tokenized as "avion" (plane).

See Also:
  Elision in Wikipedia

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`org.apache.lucene.util.AttributeSource.AttributeFactory, org.apache.lucene.util.AttributeSource.State`

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`ElisionFilter(org.apache.lucene.analysis.TokenStream input)` Deprecated. use `ElisionFilter(Version, TokenStream)` instead
`ElisionFilter(org.apache.lucene.analysis.TokenStream input, Set<?> articles)` Deprecated. use `ElisionFilter(Version, TokenStream, Set)` instead
`ElisionFilter(org.apache.lucene.analysis.TokenStream input, String[] articles)` Deprecated. use `ElisionFilter(Version, TokenStream, Set)` instead
`ElisionFilter(org.apache.lucene.util.Version matchVersion, org.apache.lucene.analysis.TokenStream input)` Constructs an elision filter with standard stop words
`ElisionFilter(org.apache.lucene.util.Version matchVersion, org.apache.lucene.analysis.TokenStream input, Set<?> articles)` Constructs an elision filter with a Set of stop words

Method Summary
`boolean` | `incrementToken()` Increments the `TokenStream` with a `CharTermAttribute` without elisioned start
`void` | `setArticles(Set<?> articles)` Deprecated. use `setArticles(Version, Set)` instead
`void` | `setArticles(org.apache.lucene.util.Version matchVersion, Set<?> articles)` Deprecated. use `ElisionFilter(Version, TokenStream, Set)` instead

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, end, reset`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ElisionFilter

    public ElisionFilter(org.apache.lucene.util.Version matchVersion,
                         org.apache.lucene.analysis.TokenStream input)

  Constructs an elision filter with standard stop words

### ElisionFilter

    @Deprecated
    public ElisionFilter(org.apache.lucene.analysis.TokenStream input)

  Deprecated. use `ElisionFilter(Version, TokenStream)` instead

  Constructs an elision filter with standard stop words

### ElisionFilter

    @Deprecated
    public ElisionFilter(org.apache.lucene.analysis.TokenStream input,
                                    Set<?> articles)

  Deprecated. use `ElisionFilter(Version, TokenStream, Set)` instead

  Constructs an elision filter with a Set of stop words

### ElisionFilter

    public ElisionFilter(org.apache.lucene.util.Version matchVersion,
                         org.apache.lucene.analysis.TokenStream input,
                         Set<?> articles)

  Constructs an elision filter with a Set of stop words

  Parameters:
    `matchVersion` - the lucene backwards compatibility version
    `input` - the source `TokenStream`
    `articles` - a set of stopword articles

### ElisionFilter

    @Deprecated
    public ElisionFilter(org.apache.lucene.analysis.TokenStream input,
                                    String[] articles)

  Deprecated. use `ElisionFilter(Version, TokenStream, Set)` instead

  Constructs an elision filter with an array of stop words

Method Detail

### setArticles

    @Deprecated
    public void setArticles(org.apache.lucene.util.Version matchVersion,
                                       Set<?> articles)

  Deprecated. use `ElisionFilter(Version, TokenStream, Set)` instead

  Set the stopword articles

  Parameters:
    `matchVersion` - the lucene backwards compatibility version
    `articles` - a set of articles

### setArticles

    @Deprecated
    public void setArticles(Set<?> articles)

  Deprecated. use `setArticles(Version, Set)` instead

  Set the stopword articles

  Parameters:
    `articles` - a set of articles

### incrementToken

    public final boolean incrementToken()
                                 throws IOException

  Increments the `TokenStream` with a `CharTermAttribute` without elisioned start

  Specified by:
    `incrementToken` in class `org.apache.lucene.analysis.TokenStream`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD